<?php

/**
*
* @package BB3CompactQuote
* @copyright (c) 2020 PPK
* @license http://opensource.org/licenses/gpl-2.0.php GNU General Public License v2
*
*
*/

namespace ppk\bb3compactquote\migrations;

class bb3compactquote_manage2 extends \phpbb\db\migration\migration
{
	public function effectively_installed()
	{
		return isset($this->config['bb3compactquote_version']) && version_compare($this->config['bb3compactquote_version'], '1.0.3', '>=');
	}

	static public function depends_on()
	{
		return array('\ppk\bb3compactquote\migrations\bb3compactquote_manage');
	}

	public function update_data()
	{
		return array(

			// Add new config vars
			array('config.' . (isset($this->config['bb3compactquote_extedition']) ? 'update' : 'add'), array('bb3compactquote_extedition', 'free')),

			array('config.update', array('bb3compactquote_version', '1.0.3')),

		);
	}

	public function revert_data()
	{
		return array(
			array('config.remove', array('bb3compactquote_extedition')),

		);

	}
}